Index: frontend/src/Components/Forms/AddHotelForm.js
===================================================================
--- frontend/src/Components/Forms/AddHotelForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddHotelForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,137 @@
+import React from "react";
+import { useRef } from "react";
+import { Form, Button, Container } from "react-bootstrap";
+import { GiConfirmed } from "react-icons/gi";
+import useCreateHotel from "../Hooks/Hotel/useCreateHotel.js";
+import axios from "axios";
+import useFormData from "../Hooks/useFormData.js";
+
+const AddHotelForm = (props) => {
+  const { createHotel } = useCreateHotel();
+
+  console.log(props.hotel)
+
+  const dummy = {
+    hotelName: "",
+    hotelLocation: "",
+    petFriendly: false,
+    parking: false,
+    internetAvailable: false,
+    hotelDescripiton: "",
+    hotelEDBS: "",
+  }
+
+  const edit = props.hotel != null
+
+  console.log(edit)
+
+  const { formData, onFormChange, onCheckBoxChange, setFormData } = useFormData(edit ? props.hotel : dummy);
+
+
+  const { addHotel } = useCreateHotel();
+
+  return (
+    <>
+      <Container
+        className="rounded-5 m-5 my-auto mx-auto py-2 px-5"
+        style={{ backgroundColor: "#ffffff" }}
+      >
+        <Form>
+          <Form.Group className="mb-3" controlId="hotelName">
+            <Form.Label>Име на сместувањето</Form.Label>
+            <Form.Control
+              type="text"
+              name="hotelName"
+              placeholder="Внесете го името на сместувањето"
+              value={formData.hotelName}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="hotelDescription">
+            <Form.Label>Опис</Form.Label>
+            <Form.Control
+              as="textarea"
+              name="hotelDescripiton"
+              placeholder="Внесете опис на сместувањето"
+              value={formData.hotelDescripiton}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="hotelAddress">
+            <Form.Label>Локација</Form.Label>
+            <Form.Control
+              type="text"
+              name="hotelLocation"
+              placeholder="Внесете ја адресата на сместувањето"
+              value={formData.hotelLocation}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="hotelFilters">
+            <Form.Label>Филтри</Form.Label>
+            <Form.Check
+              type="checkbox"
+              label="Паркинг"
+              name="parking"
+              value={formData.parking}
+              onChange={onCheckBoxChange}
+            />
+            <Form.Check
+              type="checkbox"
+              label="Pet friendly"
+              name="petFriendly"
+              value={formData.petFriendly}
+              onChange={onCheckBoxChange}
+            />
+            <Form.Check
+              type="checkbox"
+              name="internetAvailable"
+              label="Интернет"
+              value={formData.internetAvailable}
+              onChange={onCheckBoxChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="hotelPhone">
+            <Form.Label>Контакт телефон</Form.Label>
+            <Form.Control
+              type="text"
+              name="hotelEDBS"
+              placeholder="Внесете контакт телефон"
+              value={formData.hotelEDBS}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="my-1 justify-content-center">
+            <Button
+              type="submit"
+              style={{ backgroundColor: "#159895" }}
+              size="md"
+              onClick={(e) => {
+                e.preventDefault();
+                console.log(formData);
+                createHotel(formData, edit);
+                props.refresh((prevState) => {
+                  return prevState + 1;
+                })
+                if(!edit)
+                  props.closeModal()
+              }}
+            >
+              <span className="ikona my-1">
+                <GiConfirmed />
+              </span>
+              <span className="ikona mx-3">Поднеси апликација</span>
+            </Button>
+          </Form.Group>
+        </Form>
+      </Container>
+    </>
+  );
+};
+
+export default AddHotelForm;
Index: frontend/src/Components/Forms/AddItemMenuForm.js
===================================================================
--- frontend/src/Components/Forms/AddItemMenuForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddItemMenuForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,92 @@
+import React from "react";
+import { Form, Button, Container } from "react-bootstrap";
+import { GiConfirmed } from "react-icons/gi";
+import useFormData from "../Hooks/useFormData";
+import useCreateMenu from "../Hooks/Restaurant/useCreateMenu"
+
+const AddItemMenuForm = (props) => {
+  const { createMenu } = useCreateMenu();
+
+  const edit = props.menu
+  const dummy =     {
+    name: "",
+    ingredients: "",
+    price: 0,
+  }
+
+  const { formData, onFormChange, onCheckBoxChange, setFormData } = useFormData(
+    // {
+    //   name: "",
+    //   ingredients: "",
+    //   price: 0,
+    // }
+    edit ? props.menu : dummy
+  );
+
+  return (
+    <>
+      <Container
+        className="rounded-5 m-5 my-auto mx-auto py-2 px-5"
+        style={{ backgroundColor: "#ffffff" }}
+      >
+        <Form>
+          <Form.Group className="mb-3" controlId="itemName">
+            <Form.Label>Име на ставката</Form.Label>
+            <Form.Control
+              type="text"
+              placeholder="Внесете го името на ставката "
+              value={formData.name}
+              onChange={onFormChange}
+              name="name"
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="itemIngrediеnts">
+            <Form.Label>Состојки на ставката</Form.Label>
+            <Form.Control
+              type="textarea"
+              placeholder="Внесете ги состојките на ставката"
+              value={formData.ingredients}
+              onChange={onFormChange}
+              name="ingredients"
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="itemPrice">
+            <Form.Label>Цена на ставка</Form.Label>
+            <Form.Control
+              type="number"
+              placeholder="Внесете ја цената на ставката"
+              value={formData.price}
+              onChange={onFormChange}
+              name="price"
+              max={999}
+            />
+          </Form.Group>
+
+          <Form.Group className="my-1 justify-content-center">
+            <Button
+              type="submit"
+              style={{ backgroundColor: "#159895" }}
+              size="md"
+              onClick={(e) => {
+                e.preventDefault();
+                createMenu(props.Id, formData)
+                props.refresh((prevState) => {
+                  return prevState + 1;
+                })
+              }}
+            >
+              <span className="ikona my-1">
+                <GiConfirmed />
+              </span>
+              <span className="ikona mx-3">Поднеси апликација</span>
+            </Button>
+          </Form.Group>
+        </Form>
+      </Container>
+    </>
+  );
+};
+
+export default AddItemMenuForm;
Index: frontend/src/Components/Forms/AddRestaurantForm.js
===================================================================
--- frontend/src/Components/Forms/AddRestaurantForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddRestaurantForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,102 @@
+import React, { useEffect } from "react";
+import { Form, Button, Container } from "react-bootstrap";
+import { GiConfirmed } from "react-icons/gi";
+import useCreateRestaurant from "../Hooks/Restaurant/useCreateRestaurant";
+import useFormData from "../Hooks/useFormData";
+import useGet from "../Hooks/useGet";
+
+const AddRestaurantForm = (props) => {
+
+  const { createRestaurant } = useCreateRestaurant();
+  var dummy = {
+    restaurantName: "",
+    restaurantLocation: "",
+    cousineType: "",
+    restaurantDescription: "",
+    restaurantEdbs: "111",
+  }
+
+  const edit = props.restaurant != null
+
+  const { formData, onFormChange, onCheckBoxChange, setFormData } = useFormData(edit ? props.restaurant : dummy);
+
+  console.log(formData)
+
+  return (
+    <>
+      <Container
+        className="rounded-5 m-5 my-auto mx-auto py-2 px-5"
+        style={{ backgroundColor: "#ffffff" }}
+      >
+        <Form>
+          <Form.Group className="mb-3" controlId="restaurantName">
+            <Form.Label>Име на ресторант</Form.Label>
+            <Form.Control
+              type="text"
+              name="restaurantName"
+              placeholder="Внесете го името на ресторантот"
+              value={formData.restaurantName}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="restaurantLocation">
+            <Form.Label>Локација на ресторант</Form.Label>
+            <Form.Control
+              type="text"
+              name="restaurantLocation"
+              placeholder="Внесете ја локацијата на ресторантот"
+              value={formData.restaurantLocation}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="restaurantDescription">
+            <Form.Label>Опис</Form.Label>
+            <Form.Control
+              as="textarea"
+              name="restaurantDescription"
+              placeholder="Внесете опис на ресторантот"
+              value={formData.restaurantDescription}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="restaurantCuisine">
+            <Form.Label>Тип кујна</Form.Label>
+            <Form.Control
+              type="text"
+              name="cousineType"
+              placeholder="Внесете го типот на кујна"
+              value={formData.cousineType}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="my-1 justify-content-center">
+            <Button
+              type="submit"
+              style={{ backgroundColor: "#159895" }}
+              size="md"
+              onClick={(e) => {
+                e.preventDefault()
+                createRestaurant(formData, edit);
+                props.refresh((prevState) => {
+                  return prevState + 1;
+                })
+                props.closeModal()
+              }}
+            >
+              <span className="ikona my-1">
+                <GiConfirmed />
+              </span>
+              <span className="ikona mx-3">Поднеси апликација</span>
+            </Button>
+          </Form.Group>
+        </Form>
+      </Container>
+    </>
+  );
+};
+
+export default AddRestaurantForm;
Index: frontend/src/Components/Forms/AddRoomAvailablityForm.js
===================================================================
--- frontend/src/Components/Forms/AddRoomAvailablityForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddRoomAvailablityForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,79 @@
+import React from "react";
+import { Form, Button, Container } from "react-bootstrap";
+import { GiConfirmed } from "react-icons/gi";
+import useCreateRoomAvailiability from "../Hooks/Hotel/useCreateRoomAvailability";
+import useFormData from "../Hooks/useFormData";
+
+const AddRoomAvailablityForm = (props) => {
+  
+  const { createRoomAvailability } = useCreateRoomAvailiability(props.hotelRoomId);
+  console.log(props.hotelRoomId)
+  const { formData, onFormChange, onCheckBoxChange, setFormData } = useFormData(
+    {
+      dateFrom: Date.now(),
+      dateTo: Date.now(),
+      numberOfBeds: 0,
+    }
+  );
+
+  return (
+    <>
+      <Container
+        className="rounded-5 m-5 my-auto mx-auto py-2 px-5"
+        style={{ backgroundColor: "#ffffff" }}
+      >
+        <Form>
+          <Form.Group className="mb-3" controlId="roomAvailabilityFrom">
+            <Form.Label>Датом од</Form.Label>
+            <Form.Control
+              type="date"
+              placeholder="Внесете го датумот на сместување"
+              value={formData.dateFrom}
+              onChange={onFormChange}
+              name="dateFrom"
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="roomAvailabilityTo">
+            <Form.Label>Датум до</Form.Label>
+            <Form.Control
+              type="date"
+              placeholder="Внесете го датумот на напуштање"
+              name="dateTo"
+              value={formData.dateTo}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="roomAvailabilityNumRooms">
+            <Form.Label>Број на соби</Form.Label>
+            <Form.Control
+              type="num"
+              placeholder="Внесете го бројот на соби"
+              value={formData.numberOfBeds}
+              onChange={onFormChange}
+              name="numberOfBeds"
+            />
+          </Form.Group>
+
+          <Form.Group className="my-1 justify-content-center">
+            <Button
+              type="button"
+              style={{ backgroundColor: "#159895" }}
+              size="md"
+              onClick={() => {
+                createRoomAvailability(formData, props.hotelRoomId)
+              }}
+            >
+              <span className="ikona my-1">
+                <GiConfirmed />
+              </span>
+              <span className="ikona mx-3">Поднеси апликација</span>
+            </Button>
+          </Form.Group>
+        </Form>
+      </Container>
+    </>
+  );
+};
+export default AddRoomAvailablityForm;
Index: frontend/src/Components/Forms/AddRoomForm.js
===================================================================
--- frontend/src/Components/Forms/AddRoomForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddRoomForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,139 @@
+import React from "react";
+import { Form, Button, Container } from "react-bootstrap";
+import { GiConfirmed } from "react-icons/gi"
+import useCreateHotelRoom from "../Hooks/Hotel/useCreateHotelRoom.js";
+import axios from "axios";
+import useFormData from "../Hooks/useFormData";
+
+
+const AddRoomForm = (props) => {
+  const { createHotelRoom } = useCreateHotelRoom(props.hotelId);
+  const edit = props.room
+  const dummy = {
+    hotelRoomDescription: "",
+    hotelRoomName: "",
+    numOfBeds: "",
+    price: "",
+    kitchenAvailable: false,
+    airConditioning: false,
+    balcony: false,
+  }
+
+  console.log(edit)
+
+  const { formData, onFormChange, onCheckBoxChange, setFormData } = useFormData(
+// {
+//
+//     hotelRoomDescription: "",
+//     hotelRoomName: "",
+//     numBeds: "",
+//     price: "",
+//     kitchenAvailable: false,
+//     airConditioning: false,
+//     balcony: false,
+// }
+    edit ? props.room : dummy
+  );
+
+    return (<>
+              <Container
+        className="rounded-5 m-5 my-auto mx-auto py-2 px-5"
+        style={{ backgroundColor: "#ffffff" }}
+      >
+        <Form>
+          <Form.Group className="mb-3" controlId="roomName">
+            <Form.Label>Име на соба</Form.Label>
+            <Form.Control 
+            type="text"
+            placeholder="Внесете го името на собата"
+            value={formData.hotelRoomName}
+            name="hotelRoomName"
+            onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="numBeds">
+            <Form.Label>Број на кревети</Form.Label>
+            <Form.Control 
+            type="number" 
+            placeholder="Внесете го бројот на кревети" 
+            value={formData.numOfBeds}
+            name="numOfBeds"
+            onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="roomDescription">
+            <Form.Label>Опис</Form.Label>
+            <Form.Control 
+            as="textarea" 
+            placeholder="Внесете опис на собата" 
+            name="hotelRoomDescription"
+            value={formData.hotelRoomDescription}
+            onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="roomPrice">
+            <Form.Label>Цена од ноќ</Form.Label>
+            <Form.Control 
+            type="number" 
+            placeholder="Внесете ја цената од ноќ" 
+            value={formData.price}
+            name="price"
+            onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="roomFilters">
+            <Form.Label>Филтри</Form.Label>
+            <Form.Check 
+            type="checkbox" 
+            label="Кујна"
+            name="kitchenAvailable"
+            checked={formData.kitchenAvailable}
+            onChange={onCheckBoxChange}
+            />
+            <Form.Check 
+            type="checkbox" 
+            label="Клима"
+            checked={formData.airConditioning}
+            name="airConditioning"
+            onChange={onCheckBoxChange}
+            />
+            <Form.Check 
+            type="checkbox" 
+            label="Тераса"
+            name="balcony"
+            checked={formData.balcony}
+            onChange={onCheckBoxChange}
+            />
+
+          </Form.Group>
+
+          <Form.Group className="my-1 justify-content-center">
+            <Button
+              type="submit"
+              style={{ backgroundColor: "#159895" }}
+              size="md"
+              onClick={(e) => {
+                e.preventDefault();
+                props.refresh((prev) => {
+                  return ++prev;
+                })
+                createHotelRoom(formData);
+                props.closeModal();
+              }}
+            >
+              <span className="ikona my-1">
+                <GiConfirmed />
+              </span>
+              <span className="ikona mx-3">Поднеси апликација</span>
+            </Button>
+          </Form.Group>
+        </Form>
+      </Container>
+    </>)
+}
+
+export default AddRoomForm;
Index: frontend/src/Components/Forms/AddTableAvailabilityForm.js
===================================================================
--- frontend/src/Components/Forms/AddTableAvailabilityForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddTableAvailabilityForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,77 @@
+import React from "react";
+import { Form, Button, Container } from "react-bootstrap";
+import { GiConfirmed } from "react-icons/gi";
+import useFormData from "../Hooks/useFormData";
+import useCreateTableAvailability from "../Hooks/Restaurant/useCreateTableAvailability";
+
+const AddTableAvailablityForm = (props) => {
+  const { createTableAvailability } = useCreateTableAvailability();
+  console.log(props.hotelRoomId);
+  const { formData, onFormChange, onCheckBoxChange, setFormData } = useFormData(
+    {
+      numTables: "",
+      hourFrom: new Date().getTime(),
+      hourTo: new Date().getTime(),
+      restaurantTable: props.table,
+    }
+  );
+
+  return (
+    <>
+      <Container
+        className="rounded-5 m-5 my-auto mx-auto py-2 px-5"
+        style={{ backgroundColor: "#ffffff" }}
+      >
+        <Form>
+          <Form.Group className="mb-3" controlId="roomAvailabilityFrom">
+            <Form.Label>Време од</Form.Label>
+            <Form.Control
+              type="datetime-local"
+              placeholder="Внесете го времето на доаѓање"
+              value={formData.hourFrom}
+              onChange={onFormChange}
+              name="hourFrom"
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="roomAvailabilityTo">
+            <Form.Label>Време до</Form.Label>
+            <Form.Control
+              type="datetime-local"
+              placeholder="Внесете го времето на напуштање"
+              value={formData.hourTo}
+              onChange={onFormChange}
+              name="hourTo"
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="roomAvailabilityNumRooms">
+            <Form.Label>Број на маси</Form.Label>
+            <Form.Control type="num" placeholder="Внесете го бројот на особи"
+            value={formData.numTables}
+            onChange={onFormChange}
+            name="numTables"
+            />
+          </Form.Group>
+
+          <Form.Group className="my-1 justify-content-center">
+            <Button
+              type="button"
+              style={{ backgroundColor: "#159895" }}
+              size="md"
+              onClick={() => {
+                createTableAvailability(formData, props.table.tableId)
+              }}
+            >
+              <span className="ikona my-1">
+                <GiConfirmed />
+              </span>
+              <span className="ikona mx-3">Поднеси апликација</span>
+            </Button>
+          </Form.Group>
+        </Form>
+      </Container>
+    </>
+  );
+};
+export default AddTableAvailablityForm;
Index: frontend/src/Components/Forms/AddTableForm.js
===================================================================
--- frontend/src/Components/Forms/AddTableForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddTableForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,78 @@
+import React from "react";
+import { Form, Button, Container } from "react-bootstrap";
+import { GiConfirmed } from "react-icons/gi"
+import useCreateTable from "../Hooks/Restaurant/useCreateTable";
+import useFormData from "../Hooks/useFormData";
+
+const AddTableForm = (props) => {
+
+  const { createTable } = useCreateTable();
+
+  console.log("OD FORMATA")
+  console.log(props.data)
+
+  const dummy = {
+    numberOfSeats: ""
+  }
+
+  const { formData, onFormChange, onCheckBoxChange, setFormData } = useFormData(
+      props.data ? props.data : dummy
+  );
+
+    return (<>
+              <Container
+        className="rounded-5 m-5 my-auto mx-auto py-2 px-5"
+        style={{ backgroundColor: "#ffffff" }}
+      >
+        <Form>
+          <Form.Group className="mb-3" controlId="numPeople">
+            <Form.Label>Број на луѓе</Form.Label>
+            <Form.Control 
+            type="number"
+            value={formData.noSeats}
+            onChange={onFormChange}
+            name={'noSeats'}
+            placeholder="Внесете го бројот на луѓе" />
+          </Form.Group>
+
+          {/*<Form.Group className="mb-3" controlId="tableStartingTime">*/}
+          {/*  <Form.Label>Време на резервација</Form.Label>*/}
+          {/*  <Form.Control */}
+          {/*  type="time"*/}
+          {/*  value={formData.startTime}*/}
+          {/*  onChange={onFormChange} */}
+          {/*  placeholder="Внесете времето на резервацијата" />*/}
+          {/*</Form.Group>*/}
+
+          {/*<Form.Group className="mb-3" controlId="tableTimeReservation">*/}
+          {/*  <Form.Label>Времетраење на резервација</Form.Label>*/}
+          {/*  <Form.Control */}
+          {/*  type="time"*/}
+          {/*  value={formData.endTime}*/}
+          {/*  onChange={onFormChange} */}
+          {/*  placeholder="Внесете го времетраењето на резервацијата" />*/}
+          {/*</Form.Group>*/}
+
+          <Form.Group className="my-1 justify-content-center">
+            <Button
+              type="submit"
+              style={{ backgroundColor: "#159895" }}
+              size="md"
+              onClick={(e) => {
+                e.preventDefault();
+                console.log(formData);
+                createTable(props.restaurantId, formData, props.refresh);
+              }}
+            >
+              <span className="ikona my-1">
+                <GiConfirmed />
+              </span>
+              <span className="ikona mx-3">Поднеси апликација</span>
+            </Button>
+          </Form.Group>
+        </Form>
+      </Container>
+    </>)
+}
+
+export default AddTableForm;
Index: frontend/src/Components/Forms/AddTransportForm.js
===================================================================
--- frontend/src/Components/Forms/AddTransportForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddTransportForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,127 @@
+import React from "react";
+import { Form, Button, Container } from "react-bootstrap";
+import { GiConfirmed } from "react-icons/gi";
+import useCreateTransport from "../Hooks/Transport/useCreateTransport";
+import useFormData from "../Hooks/useFormData";
+
+const AddTransportForm = (props) => {
+  const { createTransport } = useCreateTransport();
+
+  const dummy = {
+      transportName: "",
+      carBrand: "",
+      carType: "",
+      carManufacturedYear: 1900,
+      noPassengers: 0,
+      noBags: 0,
+      EMBG: "111",
+      carPlate: "",
+  }
+
+  const edit = props.transport != null
+
+  console.log(edit)
+
+  const { formData, onFormChange, onCheckBoxChange, setFormData } = useFormData(edit ? props.transport : dummy);
+
+  return (
+    <>
+      <Container
+        className="rounded-5 m-5 my-auto mx-auto py-2 px-5"
+        style={{ backgroundColor: "#ffffff" }}
+      >
+        <Form>
+          <Form.Group className="mb-3" controlId="transportName">
+            <Form.Label>Име на транспорт</Form.Label>
+            <Form.Control
+              type="text"
+              placeholder="Внесете го името на транспортот"
+              name="transportName"
+              value={formData.transportName}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="transportYear">
+            <Form.Label>Година на возило</Form.Label>
+            <Form.Control
+              type="number"
+              placeholder="Внесете ја годината на возилото"
+              name="carManufacturedYear"
+              value={formData.carManufacturedYear}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="transportType">
+            <Form.Label>Тип на возило</Form.Label>
+            <Form.Control
+              type="text"
+              placeholder="Внесете го типот на возило"
+              name="carType"
+              value={formData.carType}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="transportRegistration">
+            <Form.Label>Регистрација</Form.Label>
+            <Form.Control
+              type="text"
+              placeholder="Внесете ја регистрацијата"
+              name="carPlate"
+              value={formData.carPlate}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="numPassengers">
+            <Form.Label>Број на патници</Form.Label>
+            <Form.Control
+              type="number"
+              placeholder="Внесете го бројот на патници"
+              name="noPassengers"
+              value={formData.noPassengers}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="numLuggage">
+            <Form.Label>Број на торби</Form.Label>
+            <Form.Control
+              type="number"
+              placeholder="Внесете го бројот на торби"
+              name="noBags"
+              value={formData.noBags}
+              onChange={onFormChange}
+            />
+          </Form.Group>
+
+          <Form.Group className="my-1 justify-content-center">
+            <Button
+              type="button"
+              style={{ backgroundColor: "#159895" }}
+              size="md"
+              onClick={() => {
+                console.log(formData);
+                createTransport(formData, edit);
+                props.refresh((prev) => {
+                  return ++prev;
+                })
+                if(!edit)
+                    props.closeModal()
+              }}
+            >
+              <span className="ikona my-1">
+                <GiConfirmed />
+              </span>
+              <span className="ikona mx-3">Поднеси апликација</span>
+            </Button>
+          </Form.Group>
+        </Form>
+      </Container>
+    </>
+  );
+};
+
+export default AddTransportForm;
Index: frontend/src/Components/Forms/AddTripForm.js
===================================================================
--- frontend/src/Components/Forms/AddTripForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/AddTripForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,321 @@
+import React, {useState} from "react";
+import {Form, Button, Container, Row, Col} from "react-bootstrap";
+import {GiConfirmed} from "react-icons/gi";
+import useFormData from "../Hooks/useFormData";
+import useCreateTrip from "../Hooks/Transport/useCreateTrip";
+import {AiOutlinePlusCircle} from "react-icons/ai";
+import useFormNested from "../useFormNested";
+
+const AddTripForm = (props) => {
+    const {createTrip} = useCreateTrip(props.transportId);
+    console.log(props.transportId)
+    const [wayPoints, setWayPoints] = useState([]);
+    const [dependencies, setDependencies] = useState([]);
+    const [routeCount, setRouteCount] = useState(0);
+    const [showRouteCol, setRouteCol] = useState(false);
+    let wayPointNames
+    const findDependantRoutes = (routes, waypoints, i) => {
+
+        const dependency = []
+        console.log('OD fja')
+        console.log(Object.values(waypoints))
+        const objVal = Object.values(waypoints)
+        const searchingRoute = Object.values(waypoints)[i]
+        const fromIndex = routes.findIndex(x => searchingRoute.from === x)
+        const toIndex = routes.findIndex(x => searchingRoute.to === x)
+        for(let j = 0; j < objVal.length; j++)
+        {
+            const start = routes.findIndex(x => objVal[j].from === x)
+            const end = routes.findIndex(x => objVal[j].to === x)
+            if(start >= fromIndex && start < toIndex)
+            {
+                dependency.push(j)
+            }
+            else if(end >= toIndex && end < toIndex)
+            {
+                dependency.push(j)
+            }
+            else if(fromIndex >= start && fromIndex < end)
+            {
+                dependency.push(j)
+            }
+        }
+        return dependency;
+    }
+
+    const {formData, onFormChange, onCheckBoxChange, setFormData} = useFormData(
+        {
+            transport: "",
+            from: "",
+            to: "",
+            freeSpace: "",
+            date: new Date().getDate(),
+            time: new Date().getDate(),
+            routeWaypointLocation: [],
+        }
+    );
+
+    const {
+        formData: routesFormData,
+        onFormChange: routesFormChange,
+        setFormData: routesSetFormData
+    } = useFormNested({});
+
+    const [routes, setRoutes] = useState([]);
+
+    const newWaypoint = (
+        <>
+            <Form.Group className="mb-3" controlId="tripFrom">
+                <Form.Label>Попатна дестинација</Form.Label>
+                <Form.Control
+                    type="text"
+                    placeholder="Внесете го градот на поаѓање"
+                    // value={formData.departureLocation}
+                    // onChange={onFormChange}
+                    name="routeWaypointLocation"
+                />
+            </Form.Group>
+        </>
+    );
+
+    return (
+        <>
+            <Container
+                className="rounded-5 m-5 my-auto mx-auto py-2 px-5"
+                style={{backgroundColor: "#ffffff"}}
+            >
+                <Form>
+                    <Row>
+                        <Row>
+                            <Form.Group className="mb-3" controlId="tripFrom">
+                                <Form.Label>Дестинација на поаѓање</Form.Label>
+                                <Form.Control
+                                    type="text"
+                                    placeholder="Внесете го градот на поаѓање"
+                                    value={formData.from}
+                                    onChange={onFormChange}
+                                    name="from"
+                                />
+                            </Form.Group>
+
+                            <Form.Group className="mb-3" controlId="tripTo">
+                                <Form.Label>Дестинација на пристигање</Form.Label>
+                                <Form.Control
+                                    type="text"
+                                    placeholder="Внесете го градот на пристигање"
+                                    value={formData.to}
+                                    onChange={onFormChange}
+                                    name="to"
+                                />
+                            </Form.Group>
+
+                            <Form.Group className="mb-3" controlId="tripDate">
+                                <Form.Label>Датум и време на поаѓање</Form.Label>
+                                <Form.Control
+                                    type="datetime-local"
+                                    placeholder="Внесете го датумот на поаѓање"
+                                    value={formData.date}
+                                    onChange={onFormChange}
+                                    name="date"
+                                />
+                            </Form.Group>
+
+                            <Form.Group className="mb-3" controlId="tripRoute">
+                                <Form.Label className="d-flex justify-content-between align-items-center">
+                                    Попатни дестинации
+                                    <AiOutlinePlusCircle
+                                        onClick={() => {
+                                            const wayPoints = document.getElementsByName(
+                                                "routeWaypointLocation"
+                                            );
+                                            if (wayPoints.length == 0) {
+                                                setFormData({
+                                                    ...formData,
+                                                    routeWaypointLocation: [formData.from],
+                                                });
+                                                setRouteCount((prev) => {
+                                                    return prev + 1;
+                                                });
+                                                console.log(formData);
+                                            }
+                                            if (
+                                                wayPoints.length == 0 ||
+                                                wayPoints[wayPoints.length - 1].value.length > 0
+                                            ) {
+                                                setRouteCount((prevState) => {
+                                                    return prevState + 1;
+                                                });
+                                                console.log(routeCount);
+                                                setWayPoints((prevState) => {
+                                                    return [...prevState, newWaypoint];
+                                                });
+                                            }
+                                        }}
+                                        id="add-route"
+                                        size={30}
+                                        color="#159895"
+                                    ></AiOutlinePlusCircle>
+                                </Form.Label>
+                            </Form.Group>
+                            {!showRouteCol && wayPoints}
+                        </Row>
+                        {showRouteCol && console.log(routes)}
+                        {showRouteCol && console.log(routesFormData)}
+                        {dependencies !== [] && console.log(dependencies)}
+                        {(showRouteCol && dependencies !== []) && (
+                            routes.map((route, i) => {
+                                return (
+                                    <Row>
+                                        <Form.Group className="mb-3" controlId="tripTo" key={i}>
+                                            <Row>
+                                                {/*{console.log(findDependantRoutes(routesFormData, wayPointNames, i))}*/}
+                                                <Col routeId={i}>
+                                                    <Form.Label>Рута</Form.Label>
+                                                    <Form.Control
+                                                        type="text"
+                                                        placeholder="Внесете го градот на пристигање"
+                                                        value={route.from + " - " + route.to}
+                                                        disabled
+                                                        onChange={routesFormChange}
+                                                        name="arrivalLocation"
+                                                    />
+                                                </Col>
+                                                <Col routeId={i} dependantRoutes={dependencies[i].join(',')}>
+                                                    <Form.Label>Слободни места</Form.Label>
+                                                    <Form.Control
+                                                        type="text"
+                                                        placeholder="Внесете го бројот на слободни места"
+                                                        value={routesFormData[i].freeSpace}
+                                                        onChange={routesFormChange}
+                                                        name="freeSpace"
+                                                    />
+                                                </Col>
+                                                <Col routeId={i}>
+                                                    <Form.Label>Време на пристигнување</Form.Label>
+                                                    <Form.Control
+                                                        type="datetime-local"
+                                                        placeholder="Внесете го времето на пристигање"
+                                                        value={routesFormData[i].arrival}
+                                                        onChange={routesFormChange}
+                                                        name="arrival"
+                                                    />
+                                                </Col>
+                                                <Col routeId={i}>
+                                                    <Form.Label>Цена</Form.Label>
+                                                    <Form.Control
+                                                        type="text"
+                                                        placeholder="Внесете ја цената за рутата"
+                                                        value={routesFormData[i].price}
+                                                        onChange={routesFormChange}
+                                                        name="price"
+                                                    />
+                                                </Col>
+                                            </Row>
+                                        </Form.Group>
+                                    </Row>)
+                            })
+                        )}
+                    </Row>
+                    <Row>
+                        <Form.Group className="my-1 justify-content-center">
+                            <Button
+                                type="button"
+                                style={{backgroundColor: "#159895"}}
+                                size="md"
+                                onClick={() => {
+                                    document.getElementById("add-route").style.display = "none";
+
+                                    const wayPoints = document.getElementsByName(
+                                        "routeWaypointLocation"
+                                    );
+                                    wayPointNames = formData["routeWaypointLocation"];
+                                    console.log(wayPointNames);
+                                    for (let i = 0; i < routeCount - 1; i++) {
+                                        wayPointNames.push(wayPoints[i].value);
+                                    }
+                                    wayPointNames.push(formData.to);
+
+                                    setFormData({
+                                        ...formData,
+                                        routeWaypointLocation: wayPointNames,
+                                    });
+
+                                    let routesVar = [];
+                                    let routesForm = {};
+                                    let count = 0;
+                                    for (let i = 0; i < wayPointNames.length; i++) {
+                                        for (let j = i + 1; j < wayPointNames.length; j++) {
+                                            routesForm = {
+                                                ...routesForm, [count++]: {
+                                                    from: wayPointNames[i],
+                                                    to: wayPointNames[j],
+                                                    price: 0,
+                                                    departure: new Date().getDate(),
+                                                    arrival: new Date().getDate(),
+                                                    freeSpace: 0,
+                                                    order: i
+                                                }
+                                            }
+
+                                            routesVar.push({
+                                                from: wayPointNames[i],
+                                                to: wayPointNames[j],
+                                                price: 0,
+                                                departure: Date(),
+                                                arrival: Date(),
+                                                freeSpace: 0,
+                                                order: i
+                                            })
+                                        }
+                                    }
+
+                                    for (let i = 0; i < Object.values(routesForm).length; i++) {
+                                        console.log(findDependantRoutes(wayPointNames, routesForm, i))
+                                        setDependencies(prevState => [...prevState, findDependantRoutes(wayPointNames, routesForm, i)])
+                                    }
+                                    console.log('VO STATEOOOO')
+                                    console.log(dependencies)
+                                    routesSetFormData(routesForm)
+                                    setRoutes(routesVar)
+                                    setRouteCol(true)
+                                    props.setSize();
+                                }}
+                            >
+                <span className="ikona my-1">
+                  <GiConfirmed/>
+                </span>
+                                <span className="ikona mx-3">Заврши внес на рути</span>
+                            </Button>
+                        </Form.Group>
+                        <Form.Group className="my-1 justify-content-center">
+                            <Button
+                                type="submit"
+                                style={{backgroundColor: "#159895"}}
+                                size="md"
+                                onClick={(e) => {
+                                    e.preventDefault();
+                                    const dataToSend = {
+                                        ...formData,
+                                        routes: Object.values(routesFormData)
+                                    }
+                                    console.log(dataToSend)
+                                    createTrip(dataToSend)
+                                    props.refresh((prev) => {
+                                        return prev + 1;
+                                    })
+                                }}
+                            >
+                <span className="ikona my-1">
+                  <GiConfirmed/>
+                </span>
+                                <span className="ikona mx-3">Поднеси апликација</span>
+                            </Button>
+                        </Form.Group>
+                    </Row>
+                </Form>
+            </Container>
+        </>
+    );
+};
+
+export default AddTripForm;
Index: frontend/src/Components/Forms/ChangePasswordForm.js
===================================================================
--- frontend/src/Components/Forms/ChangePasswordForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/ChangePasswordForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,58 @@
+import React from "react";
+import { useState } from "react";
+import { Container, Form, Button } from "react-bootstrap";
+import { AiFillLock } from "react-icons/ai"
+
+const ChangePasswordForm = () => {
+
+    const [hidePassword, setHidePassword] = useState(true);
+    const type = hidePassword ? "password" : "text";
+    const toggleHide = () => {
+        setHidePassword(!hidePassword)
+    }
+    
+
+  return (
+    <>
+      <Container
+        className="rounded-5 m-5 my-auto mx-auto py-2 px-5"
+        style={{ backgroundColor: "#ffffff" }}
+      >
+        <Form>
+          <Form.Group className="mb-3" controlId="currentPassword">
+            <Form.Label>Постоечка лозинка</Form.Label>
+            <Form.Control type="password" placeholder="Внесете ја постоечката лозинка..." />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="newPasswrod">
+            <Form.Label>Нова лозинка</Form.Label>
+            <Form.Control type={type} placeholder="Внесете ја новата лозинка..." />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="newPasswrod">
+            <Form.Label>Повторена нова лозинка</Form.Label>
+            <Form.Control type={type} placeholder="Внесете ја новата лозинка повторно..." />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="formBasicCheckbox">
+            <Form.Check type="checkbox" label="Прикажи лозинки" onChange={toggleHide} />
+          </Form.Group>
+          <Form.Group className="my-1">
+            <Button
+              type="submit"
+              style={{ backgroundColor: "#159895" }}
+              size="md"
+            >
+              <span className="ikona my-1">
+                <AiFillLock />
+              </span>
+              <span className="ikona mx-3">Зачувај промена</span>
+            </Button>
+          </Form.Group>
+        </Form>
+      </Container>
+    </>
+  );
+};
+
+export default ChangePasswordForm;
Index: frontend/src/Components/Forms/EditMainRouteForm.js
===================================================================
--- frontend/src/Components/Forms/EditMainRouteForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/EditMainRouteForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,85 @@
+import React from "react";
+import useGet from "../Hooks/useGet";
+import {Col, Container, Row, Table} from "react-bootstrap";
+import AddRoomForm from "./AddRoomForm";
+import AddTripForm from "./AddTripForm";
+
+
+const EditMainRouteForm = (props) => {
+
+    console.log(props.route)
+
+    const dateFormatter = (str) => {
+        const inputDate = new Date(str);
+
+        const options = {
+            year: '2-digit',
+            month: '2-digit',
+            day: '2-digit',
+            hours: '2-digit',
+            minutes: '2-digit'
+        };
+
+        return inputDate.toLocaleString('en-GB', options);
+    }
+
+    const {
+        data,
+        isLoading,
+        setData,
+        getData
+    } = useGet(`/transport/${props.route.id}/available`)
+
+    !isLoading && console.log(data)
+
+    return (
+        <>
+            <Row>
+                <Col>
+                    <AddTripForm transportId={props.route.id} refresh={props.refresh}/>
+                </Col>
+                <Col>
+                    <Container>
+                        <Table>
+                            <thead>
+                            <tr>
+                                <th>#</th>
+                                <th>Од - До</th>
+                                <th>Време тргање</th>
+                                <th>Време пристигање</th>
+                                <th>Број патници</th>
+                                <th>Цена</th>
+                            </tr>
+                            </thead>
+                            <tbody>
+                            {!isLoading && data != null && data.map((avail) => {
+                                return (
+                                    avail.routes.map((route, i) => {
+                                        return (<tr>
+                                            <td>
+                                                {i + 1}
+                                            </td>
+                                            <td>
+                                                {route.from} - {route.to}
+                                            </td>
+                                            <td>
+                                                {dateFormatter(route.departure)}
+                                            </td>
+                                            <td>
+                                                {dateFormatter(route.arrival)}
+                                            </td>
+                                            <td>
+                                                {route.freeSpace}
+                                            </td>
+                                        </tr>)
+                            }))})}
+                            </tbody>
+                        </Table>
+                    </Container>
+                </Col>
+            </Row>
+        </>
+    )
+}
+
+export default EditMainRouteForm
Index: frontend/src/Components/Forms/EditRoomForm.js
===================================================================
--- frontend/src/Components/Forms/EditRoomForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/EditRoomForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,77 @@
+import React from "react";
+import useGet from "../Hooks/useGet";
+import {Col, Container, Row, Table} from "react-bootstrap";
+import AddRoomForm from "./AddRoomForm";
+
+
+const EditRoomForm = (props) => {
+
+    console.log(props.room)
+
+    const dateFormatter = (str) => {
+        const inputDate = new Date(str);
+
+        const options = {
+            year: '2-digit',
+            month: '2-digit',
+            day: '2-digit'
+        };
+
+        return inputDate.toLocaleString('en-GB', options);
+    }
+
+    const {
+        data,
+        isLoading,
+        setData,
+        getData
+    } = useGet(`/hotel/rooms/${props.room.hotelRoomId}/available`)
+
+    console.log(`/hotel/rooms/${props.room.hotelRoomId}/available`)
+
+    !isLoading && console.log(data)
+
+    return (
+        <>
+            <Row>
+                <Col>
+                    <AddRoomForm roomId={props.room.hotelRoomId} refresh={props.refresh} room={props.room}/>
+                </Col>
+                <Col>
+                    <Container>
+                        <Table>
+                            <thead>
+                            <tr>
+                                <th>#</th>
+                                <th>Oд</th>
+                                <th>До</th>
+                                <th>Цена</th>
+                            </tr>
+                            </thead>
+                            <tbody>
+                            {!isLoading && data != null && data.map((avail, i) => {
+                                return (<tr>
+                                    <td>
+                                        {i + 1}
+                                    </td>
+                                    <td>
+                                        {dateFormatter(avail.dateFrom)}
+                                    </td>
+                                    <td>
+                                        {dateFormatter(avail.dateTo)}
+                                    </td>
+                                    <td>
+                                        {avail.numberOfBeds}
+                                    </td>
+                                </tr>)
+                            })}
+                            </tbody>
+                        </Table>
+                    </Container>
+                </Col>
+            </Row>
+        </>
+    )
+}
+
+export default EditRoomForm
Index: frontend/src/Components/Forms/EditTableForm.js
===================================================================
--- frontend/src/Components/Forms/EditTableForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/EditTableForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,76 @@
+import React from "react";
+import {Col, Container, Row, Table} from "react-bootstrap";
+import AddTableForm from "./AddTableForm";
+import useGet from "../Hooks/useGet";
+
+const EditTableForm = (props) => {
+
+    const {
+        data,
+        isLoading,
+        setData,
+        getData
+    } = useGet(`/restaurant/table/${props.table.tableId}/availible`)
+
+    !isLoading && console.log(data)
+
+    const dateFormatter = (str) => {
+        const inputDate = new Date(str);
+
+        const options = {
+            year: '2-digit',
+            month: '2-digit',
+            day: '2-digit',
+            hour: '2-digit',
+            minute: '2-digit',
+            hour12: false,
+        };
+
+        return inputDate.toLocaleString('en-GB', options);
+
+    }
+
+    return (
+        <>
+            <Row>
+                <Col>
+                    <AddTableForm data={props.table}></AddTableForm>
+                </Col>
+                <Col>
+                    <Container>
+                        <Table>
+                            <thead>
+                            <tr>
+                                <th>#</th>
+                                <th>Достапно од</th>
+                                <th>Достапно до</th>
+                                <th>Број на маси</th>
+                            </tr>
+                            </thead>
+                            <tbody>
+                            {!isLoading && data != null && data.map((avail, i) => {
+                                return (<tr>
+                                    <td>
+                                        {i + 1}
+                                    </td>
+                                    <td>
+                                        {dateFormatter(avail.hourFrom)}
+                                    </td>
+                                    <td>
+                                        {dateFormatter(avail.hourTo)}
+                                    </td>
+                                    <td>
+                                        {avail.numTables}
+                                    </td>
+                                </tr>)
+                            })}
+                            </tbody>
+                        </Table>
+                    </Container>
+                </Col>
+            </Row>
+        </>
+    )
+}
+
+export default EditTableForm;
Index: frontend/src/Components/Forms/RegisterBusinessForm.js
===================================================================
--- frontend/src/Components/Forms/RegisterBusinessForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/Forms/RegisterBusinessForm.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,108 @@
+import React from "react";
+import { Form, Button, Container } from "react-bootstrap";
+import { GiConfirmed } from "react-icons/gi"
+import useCreateBusiness from "../Hooks/Business/useCreateBusiness";
+import useFormData from "../Hooks/useFormData";
+
+const RegisterBusinessForm = (props) => {
+
+  const { createBusiness } = useCreateBusiness();
+
+  const { formData, onFormChange, onCheckBoxChange, setFormData } = useFormData({
+    name: "",
+    address: "",
+    edbs: "",
+    odgovornoLice: "",
+    phone: "",
+    approved: false
+  });
+
+    return (<>
+              <Container
+        className="rounded-5 m-5 my-auto mx-auto py-2 px-5"
+        style={{ backgroundColor: "#ffffff" }}
+      >
+        <Form>
+          <Form.Group className="mb-3" controlId="businessName">
+            <Form.Label>Име на фирмата</Form.Label>
+            <Form.Control 
+            type="text"
+            value={formData.name}
+            onChange={onFormChange}
+            name="name"
+            placeholder="Внесете го името на фирмата" />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="businessAddress">
+            <Form.Label>Адреса на фирмата</Form.Label>
+            <Form.Control 
+            type="text" 
+            value={formData.address}
+            onChange={onFormChange}
+            name="address"
+            placeholder="Внесете ја адресата на фирмата" />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="businessIDN">
+            <Form.Label>Единствен даночен број</Form.Label>
+            <Form.Control 
+            type="text" 
+            value={formData.edbs}
+            onChange={onFormChange}
+            name="edbs"
+            placeholder="Внесете ЕДБС" />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="businessDirector">
+            <Form.Label>Одговорно лице</Form.Label>
+            <Form.Control 
+            type="text" 
+            value={formData.odgovornoLice}
+            onChange={onFormChange}
+            name="odgovornoLice"
+            placeholder="Внесете одговорно лице" />
+          </Form.Group>
+
+          <Form.Group className="mb-3" controlId="businessPhone">
+            <Form.Label>Контакт телефон</Form.Label>
+            <Form.Control 
+            type="text" 
+            value={formData.phone}
+            onChange={onFormChange}
+            name="phone"
+            placeholder="Внесете контакт телефон" />
+          </Form.Group>
+
+
+          <Form.Group className="mb-3" controlId="businessEULA">
+            <Form.Check type="checkbox" label="Се согласувам со правилата и условите за користење"/>
+          </Form.Group>
+          <Form.Group className="my-1 justify-content-center">
+            <Button
+              type="submit"
+              style={{ backgroundColor: "#159895" }}
+              size="md"
+              onClick={(e) => {
+                e.preventDefault();
+                console.log(formData);
+                const dataToSend = {
+                  ...formData,
+                  userId: 1
+                }
+                createBusiness(formData);
+                props.edit(1)
+                props.hide()
+              }}
+            >
+              <span className="ikona my-1">
+                <GiConfirmed />
+              </span>
+              <span className="ikona mx-3">Поднеси апликација</span>
+            </Button>
+          </Form.Group>
+        </Form>
+      </Container>
+    </>)
+}
+
+export default RegisterBusinessForm;
